#
# spec file for package python-kombu
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-kombu
Version:        2.5.3
Release:        0
License:        BSD-2-Clause
Summary:        AMQP Messaging Framework for Python
Url:            http://github.com/ask/kombu/
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/k/kombu/kombu-%{version}.tar.gz
BuildRequires:  python-devel 
BuildRequires:  python-amqplib
BuildRequires:  python-anyjson
BuildRequires:  python-distribute
BuildRequires:  python-mock
BuildRequires:  python-msgpack-python
BuildRequires:  python-nose-cover3
BuildRequires:  python-simplejson
BuildRequires:  python-unittest2
BuildRequires:  python-PyYAML
Requires:       python-amqp
Requires:       python-anyjson
Suggests:       couchdb
Suggests:       mongodb
Suggests:       rabbitmq-server
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
BuildRequires:  python-importlib
%py_requires
%else
BuildArch:      noarch
%endif

%description
An AMQP messaging framework for Python.

AMQP is the Advanced Message Queuing Protocol, an open standard protocol
for message orientation, queuing, routing, reliability and security.

One of the most popular implementations of AMQP is RabbitMQ.

The aim of Kombu is to make messaging in Python as easy as possible by
providing an idiomatic high-level interface for the AMQP protocol, and also
provide proven and tested solutions to common messaging problems.

%prep
%setup -q -n kombu-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
# Testsuite requires mkgpack-python < 0.2.0 because it dropped Python-2.5 support.
# This makes no sense for us, thus:
#sed -i "s/msgpack-python.*/msgpack-python/" requirements/test.txt
#python setup.py test

%files
%defattr(-,root,root,-)
%doc AUTHORS Changelog FAQ README THANKS TODO
%{python_sitelib}/*

%changelog
